#!/usr/bin/ruby

$:.unshift(File.dirname(__FILE__))

require 'vmware/vmrun'

vmrun = VMware::VMrun.new

# Path to a VMX file
vmx = 'd:\VM\WinXP Pro\Windows XP Professional.vmx'

# Print a list of all snapshots in the VMX file
p vmrun.snapshots(vmx)

# Revert to a snapshot called 'SP2'
vmrun.revert(vmx, 'SP2')

# Start the VM
vmrun.start(vmx)

# Wait for the VM to start
sleep 60

# Take a snapshot called 'foo'
vmrun.snapshot(vmx, 'foo');

# Stop the VM
vmrun.stop(vmx)
